<div align="center">
<a href="https://gwkokab.readthedocs.io">
<img src="https://raw.githubusercontent.com/gwkokab/gwkokab/main/docs/source/_static/logo.png" alt="logo" width="400px" height="90px"></img>
</a>
</div>

<h2 align="center">
A JAX-based gravitational-wave population inference toolkit
</h2>

[**Installation**](https://gwkokab.readthedocs.io/en/latest/installation.html) |
[**Documentation**](https://gwkokab.readthedocs.io/) |
[**Citing GWKokab**](#citing-gwkokab)

![GitHub License](https://img.shields.io/github/license/gwkokab/gwkokab)
[![CI](https://github.com/gwkokab/gwkokab/actions/workflows/ci.yml/badge.svg)](https://github.com/gwkokab/gwkokab/actions/workflows/ci.yml)
![PyPI - Version](https://img.shields.io/pypi/v/gwkokab)

GWKokab is a JAX-based gravitational-wave population inference toolkit. It is designed to be a high-performance, flexible and easy-to-use library for sampling from a wide range of gravitational-wave population models. It is built on top of JAX, a high-performance numerical computing library, and is designed to be easily integrated into existing JAX workflows.

If you like to contribute, please see the [contributing guidelines](docs/contributing/contributing.md).

## Citing GWKokab

If you use GWKokab in your research, please cite the following paper:

```bibtex
@software{gwkokab2024github,
    author = {Meesum Qazalbash, Muhammad Zeeshan, Richard O'Shaughnessy},
    title = {{GWKokab}: A JAX-based gravitational-wave population inference toolkit},
    url = {https://github.com/gwkokab/gwkokab},
    version = {0.0.1},
    year = {2024}
}
```
